Bug 1413467 - [virtio-win][whql][netkvm] job 2c_Mini6RSSSendRecv (Multi-Group Win8+) failed
Summary: [virtio-win][whql][netkvm] job 2c_Mini6RSSSendRecv (Multi-Group Win8+) failed
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: ybendito
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 04:40 UTC by xiagao
Modified: 2017-05-26 03:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-26 03:12:45 UTC
Target Upstream Version:


Attachments (Terms of Use)
error info in guest. (27.12 KB, image/png)
2017-01-16 04:40 UTC, xiagao
no flags Details
build-135-fail-win201264 (18.64 MB, application/zip)
2017-04-06 08:23 UTC, Yu Wang
no flags Details

Description xiagao 2017-01-16 04:40:35 UTC
Created attachment 1241086 [details]
error info in guest.

Description of problem:
 job "2c_mini6RSSSendRecv(Multi-Group Win8+)" failed on win2016,win10-64,win8.1-64 and win2012.

Version-Release number of selected component (if applicable):
virtio-win-prewhql-129
qemu-kvm-rhev-2.6.0-29.el7.x86_64
kernel-3.10.0-537.el7.x86_64
seabios-1.9.1-5.el7.x86_64


How reproducible:
100%

Steps to Reproduce:
1./usr/libexec/qemu-kvm -name 129NICW10S64C6L -enable-kvm -m 6G -smp 8 -uuid d7ccc7bc-c5e5-49c3-96c3-55cbe8a6a86a -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/tmp/129NICW10S64C6L,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -boot order=cd,menu=on -device piix3-usb-uhci,id=usb -drive file=129NICW10S64C6L,if=none,id=drive-ide0-0-0,format=raw,serial=mike_cao,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=en_windows_server_2016_x64_dvd_9327751.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=129NICW10S64C6L.vfd,if=floppy,id=drive-fdc0-0-0,format=raw,cache=none -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device e1000,netdev=hostnet0,id=net0,mac=00:52:30:74:34:37 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0 -device usb-tablet,id=input0 -vnc 0.0.0.0:0 -vga cirrus -M pc -netdev tap,script=/etc/qemu-ifup1,downscript=no,id=hostnet1,vhost=on,queues=8 -device virtio-net-pci,netdev=hostnet1,id=net1,mac=00:52:72:0f:a3:8e,bus=pci.0,mq=on,vectors=10
2.submit jobs
3.

Actual results:
Failed with error info:
LibProtocolDriver: Install protocol driver failed.
Unable to create Library Open object!
Failed to create open on Test adapter
Unable to create additional receiving opens

and check guest,pop up error info:
Microsoft Windows Based Script Host has stopped working.

Expected results:
pass

Additional info:
all logs are in attachment.

Comment 3 xiagao 2017-01-18 06:26:06 UTC
(In reply to xiagao from comment #0)
> Created attachment 1241086 [details]
> error info in guest.
> 
> Description of problem:
>  job "2c_mini6RSSSendRecv(Multi-Group Win8+)" failed on
> win2016,win10-64,win8.1-64 and win2012.
> 
> Version-Release number of selected component (if applicable):
> virtio-win-prewhql-129
> qemu-kvm-rhev-2.6.0-29.el7.x86_64
> kernel-3.10.0-537.el7.x86_64
> seabios-1.9.1-5.el7.x86_64
> 
> 
> How reproducible:
> 100%
> 
> Steps to Reproduce:
> 1./usr/libexec/qemu-kvm -name 129NICW10S64C6L -enable-kvm -m 6G -smp 8 -uuid
> d7ccc7bc-c5e5-49c3-96c3-55cbe8a6a86a -nodefconfig -nodefaults -chardev
> socket,id=charmonitor,path=/tmp/129NICW10S64C6L,server,nowait -mon
> chardev=charmonitor,id=monitor,mode=control -rtc
> base=localtime,driftfix=slew -boot order=cd,menu=on -device
> piix3-usb-uhci,id=usb -drive
> file=129NICW10S64C6L,if=none,id=drive-ide0-0-0,format=raw,serial=mike_cao,
> cache=none -device
> ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive
> file=en_windows_server_2016_x64_dvd_9327751.iso,if=none,media=cdrom,id=drive-
> ide0-1-0,readonly=on,format=raw -device
> ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive
> file=129NICW10S64C6L.vfd,if=floppy,id=drive-fdc0-0-0,format=raw,cache=none
> -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device
> e1000,netdev=hostnet0,id=net0,mac=00:52:30:74:34:37 -chardev
> pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0
> -device usb-tablet,id=input0 -vnc 0.0.0.0:0 -vga cirrus -M pc -netdev
> tap,script=/etc/qemu-ifup1,downscript=no,id=hostnet1,vhost=on,queues=8
> -device
> virtio-net-pci,netdev=hostnet1,id=net1,mac=00:52:72:0f:a3:8e,bus=pci.0,mq=on,
> vectors=10
> 2.submit jobs
> 3.
> 
> Actual results:
> Failed with error info:
> LibProtocolDriver: Install protocol driver failed.
> Unable to create Library Open object!
> Failed to create open on Test adapter
> Unable to create additional receiving opens
> 

Only hit this error info on win10-64 and win2016. Win2012 and win8.1-64 hit BSOD issue.

From https://bugzilla.redhat.com/show_bug.cgi?id=1367251#c11 ,the HLK package with manual errata 5556 was submitted, i want to confirm if it cover win2016 guest?




> and check guest,pop up error info:
> Microsoft Windows Based Script Host has stopped working.
> 
> Expected results:
> pass
> 
> Additional info:
> all logs are in attachment.

Comment 4 xiagao 2017-01-18 06:28:28 UTC
Win2012's server guest hits BSOD.
*******************************************************************************
*                                                                             *
*                        Bugcheck Analysis                                    *
*                                                                             *
*******************************************************************************

SYSTEM_THREAD_EXCEPTION_NOT_HANDLED (7e)
This is a very common bugcheck.  Usually the exception address pinpoints
the driver/function that caused the problem.  Always note this address
as well as the link date of the driver/image that contains this address.
Arguments:
Arg1: ffffffff80000003, The exception code that was not handled
Arg2: fffff8800b6f4d29, The address that the exception occurred at
Arg3: fffff8800a3a79a8, Exception Record Address
Arg4: fffff8800a3a71e0, Context Record Address

Debugging Details:
------------------


OVERLAPPED_MODULE: Address regions for 'ndprot630' and 'ndprot630.sys' overlap

EXCEPTION_CODE: (HRESULT) 0x80000003 (2147483651) - One or more arguments are invalid

FAULTING_IP: 
ndprot630+a5d29
fffff880`0b6f4d29 cc              int     3

EXCEPTION_RECORD:  fffff8800a3a79a8 -- (.exr 0xfffff8800a3a79a8)
ExceptionAddress: fffff8800b6f4d29 (ndprot630+0x00000000000a5d29)
   ExceptionCode: 80000003 (Break instruction exception)
  ExceptionFlags: 00000000
NumberParameters: 1
   Parameter[0]: 0000000000000000

CONTEXT:  fffff8800a3a71e0 -- (.cxr 0xfffff8800a3a71e0;r)
rax=0000000000000000 rbx=fffffa80049d1080 rcx=557a703d5c1e0000
rdx=0000000000000000 rsi=fffffa800325d648 rdi=fffff80260352880
rip=fffff8800b6f4d29 rsp=fffff8800a3a7be0 rbp=0000000000000080
 r8=0000000000000000  r9=fffff8800a3a7600 r10=00000000fffffffd
r11=0000000000000000 r12=fffff80260002000 r13=0000001acff911af
r14=fffff8800b71b0a0 r15=0000000000000000
iopl=0         nv up ei ng nz na po nc
cs=0010  ss=0018  ds=002b  es=002b  fs=0053  gs=002b             efl=00000286
ndprot630+0xa5d29:
fffff880`0b6f4d29 cc              int     3
Last set context:
rax=0000000000000000 rbx=fffffa80049d1080 rcx=557a703d5c1e0000
rdx=0000000000000000 rsi=fffffa800325d648 rdi=fffff80260352880
rip=fffff8800b6f4d29 rsp=fffff8800a3a7be0 rbp=0000000000000080
 r8=0000000000000000  r9=fffff8800a3a7600 r10=00000000fffffffd
r11=0000000000000000 r12=fffff80260002000 r13=0000001acff911af
r14=fffff8800b71b0a0 r15=0000000000000000
iopl=0         nv up ei ng nz na po nc
cs=0010  ss=0018  ds=002b  es=002b  fs=0053  gs=002b             efl=00000286
ndprot630+0xa5d29:
fffff880`0b6f4d29 cc              int     3
Resetting default scope

DEFAULT_BUCKET_ID:  WIN8_DRIVER_FAULT

BUGCHECK_STR:  AV

PROCESS_NAME:  System

CURRENT_IRQL:  0

ERROR_CODE: (NTSTATUS) 0x80000003 - {EXCEPTION}  Breakpoint  A breakpoint has been reached.

EXCEPTION_PARAMETER1:  0000000000000000

ANALYSIS_VERSION: 6.3.9600.16384 (debuggers(dbg).130821-1623) amd64fre

LAST_CONTROL_TRANSFER:  from fffff8800b6fb600 to fffff8800b6f4d29

STACK_TEXT:  
fffff880`0a3a7be0 fffff880`0b6fb600 : fffff880`0b7cf930 fffffa80`00000380 fffff880`0b7d04f0 00000000`00003700 : ndprot630+0xa5d29
fffff880`0a3a7c20 fffff880`0b71b0f3 : fffffa80`0325d618 00000000`00000000 00000054`209d2216 00000000`00000000 : ndprot630+0xac600
fffff880`0a3a7d00 fffff802`60024521 : fffffa80`0325d648 00000000`00000000 00000000`00000000 00000000`00000000 : ndprot630+0xcc0f3
fffff880`0a3a7d50 fffff802`60062dd6 : fffff802`602f8180 fffffa80`049d1080 fffff802`60352880 fffffa80`0267f980 : nt!PspSystemThreadStartup+0x59
fffff880`0a3a7da0 00000000`00000000 : fffff880`0a3a8000 fffff880`0a3a2000 00000000`00000000 00000000`00000000 : nt!KiStartSystemThread+0x16


FOLLOWUP_IP: 
ndprot630+a5d29
fffff880`0b6f4d29 cc              int     3

SYMBOL_STACK_INDEX:  0

SYMBOL_NAME:  ndprot630+a5d29

FOLLOWUP_NAME:  MachineOwner

MODULE_NAME: ndprot630

IMAGE_NAME:  ndprot630.sys

DEBUG_FLR_IMAGE_TIMESTAMP:  550cea5c

STACK_COMMAND:  .cxr 0xfffff8800a3a71e0 ; kb

FAILURE_BUCKET_ID:  AV_VRF_ndprot630+a5d29

BUCKET_ID:  AV_VRF_ndprot630+a5d29

ANALYSIS_SOURCE:  KM

FAILURE_ID_HASH_STRING:  km:av_vrf_ndprot630+a5d29

FAILURE_ID_HASH:  {a0550f62-2bda-baa3-4f2b-7854cdb7064d}

Followup: MachineOwner
---------

Comment 5 xiagao 2017-01-18 06:29:13 UTC
Win8.1's server guest hits BSOD.

*******************************************************************************
*                                                                             *
*                        Bugcheck Analysis                                    *
*                                                                             *
*******************************************************************************

SYSTEM_THREAD_EXCEPTION_NOT_HANDLED (7e)
This is a very common bugcheck.  Usually the exception address pinpoints
the driver/function that caused the problem.  Always note this address
as well as the link date of the driver/image that contains this address.
Arguments:
Arg1: ffffffff80000003, The exception code that was not handled
Arg2: fffff80002cc3d29, The address that the exception occurred at
Arg3: ffffd00025d46998, Exception Record Address
Arg4: ffffd00025d461a0, Context Record Address

Debugging Details:
------------------


EXCEPTION_CODE: (HRESULT) 0x80000003 (2147483651) - One or more arguments are invalid

FAULTING_IP: 
NDProt630+a5d29
fffff800`02cc3d29 cc              int     3

EXCEPTION_RECORD:  ffffd00025d46998 -- (.exr 0xffffd00025d46998)
ExceptionAddress: fffff80002cc3d29 (NDProt630+0x00000000000a5d29)
   ExceptionCode: 80000003 (Break instruction exception)
  ExceptionFlags: 00000000
NumberParameters: 1
   Parameter[0]: 0000000000000000

CONTEXT:  ffffd00025d461a0 -- (.cxr 0xffffd00025d461a0;r)
rax=0000000000000000 rbx=ffffe0000139b080 rcx=2d297b8873470000
rdx=0000000000000000 rsi=ffffe0000139b080 rdi=ffffe00000091900
rip=fffff80002cc3d29 rsp=ffffd00025d46bd0 rbp=0000000000000080
 r8=0000000000000000  r9=ffffd00025d46600 r10=00000000fffffffd
r11=0000000000000000 r12=0000000000000000 r13=fffff80020410000
r14=ffffe00000c986d8 r15=fffff80002cea0a0
iopl=0         nv up ei ng nz na pe nc
cs=0010  ss=0018  ds=002b  es=002b  fs=0053  gs=002b             efl=00000282
NDProt630+0xa5d29:
fffff800`02cc3d29 cc              int     3
Last set context:
rax=0000000000000000 rbx=ffffe0000139b080 rcx=2d297b8873470000
rdx=0000000000000000 rsi=ffffe0000139b080 rdi=ffffe00000091900
rip=fffff80002cc3d29 rsp=ffffd00025d46bd0 rbp=0000000000000080
 r8=0000000000000000  r9=ffffd00025d46600 r10=00000000fffffffd
r11=0000000000000000 r12=0000000000000000 r13=fffff80020410000
r14=ffffe00000c986d8 r15=fffff80002cea0a0
iopl=0         nv up ei ng nz na pe nc
cs=0010  ss=0018  ds=002b  es=002b  fs=0053  gs=002b             efl=00000282
NDProt630+0xa5d29:
fffff800`02cc3d29 cc              int     3
Resetting default scope

DEFAULT_BUCKET_ID:  WIN8_DRIVER_FAULT

BUGCHECK_STR:  AV

PROCESS_NAME:  System

CURRENT_IRQL:  0

ERROR_CODE: (NTSTATUS) 0x80000003 - {EXCEPTION}  Breakpoint  A breakpoint has been reached.

EXCEPTION_PARAMETER1:  0000000000000000

ANALYSIS_VERSION: 6.3.9600.16384 (debuggers(dbg).130821-1623) amd64fre

LAST_CONTROL_TRANSFER:  from fffff80002cca600 to fffff80002cc3d29

STACK_TEXT:  
ffffd000`25d46bd0 fffff800`02cca600 : fffff800`02d9e930 ffffe000`00000380 fffff800`02d9f4f0 fffff800`206fe100 : NDProt630+0xa5d29
ffffd000`25d46c10 fffff800`02cea0f3 : ffffe000`00c986a8 fffff960`0021e214 ffffd000`25d46d20 fffff901`4067f2a0 : NDProt630+0xac600
ffffd000`25d46cf0 fffff800`204f3c80 : ffffe000`00c986d8 ffffe000`00082300 00000000`00000000 ffffd000`25d46ce8 : NDProt630+0xcc0f3
ffffd000`25d46d40 fffff800`205642c6 : ffffd000`20de7180 ffffe000`0139b080 ffffe000`01276880 00000090`e7dcd838 : nt!PspSystemThreadStartup+0x58
ffffd000`25d46da0 00000000`00000000 : ffffd000`25d47000 ffffd000`25d41000 00000000`00000000 00000000`00000000 : nt!KiStartSystemThread+0x16


FOLLOWUP_IP: 
NDProt630+a5d29
fffff800`02cc3d29 cc              int     3

SYMBOL_STACK_INDEX:  0

SYMBOL_NAME:  NDProt630+a5d29

FOLLOWUP_NAME:  MachineOwner

MODULE_NAME: NDProt630

IMAGE_NAME:  NDProt630.sys

DEBUG_FLR_IMAGE_TIMESTAMP:  550cea5c

STACK_COMMAND:  .cxr 0xffffd00025d461a0 ; kb

FAILURE_BUCKET_ID:  AV_VRF_NDProt630+a5d29

BUCKET_ID:  AV_VRF_NDProt630+a5d29

ANALYSIS_SOURCE:  KM

FAILURE_ID_HASH_STRING:  km:av_vrf_ndprot630+a5d29

FAILURE_ID_HASH:  {a0550f62-2bda-baa3-4f2b-7854cdb7064d}

Followup: MachineOwner
---------

Comment 7 xiagao 2017-01-18 06:38:38 UTC
Some info of win2012 and win8.1-64 bsod issue:

How reproducible: 1/5

cmd line:

win2012:
 usr/libexec/qemu-kvm -name 129NIC201264SLC -enable-kvm -m 3G -smp 4 -uuid 97d157be-48a5-4b00-998b-e7c64609a301 -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/tmp/129NIC201264SLC,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -boot order=cd,menu=on -device piix3-usb-uhci,id=usb -drive file=129NIC201264SLC,if=none,id=drive-ide0-0-0,format=raw,serial=mike_cao,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=en_windows_server_2012_x64_dvd_915478.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=129NIC201264SLC.vfd,if=floppy,id=drive-fdc0-0-0,format=raw,cache=none -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device e1000,netdev=hostnet0,id=net0,mac=00:52:62:7d:7a:aa -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0 -device usb-tablet,id=input0 -vnc 0.0.0.0:1 -vga cirrus -M pc -netdev tap,script=/etc/qemu-ifup-private,downscript=no,id=hostnet1,vhost=on,queues=8 -device virtio-net-pci,netdev=hostnet1,id=net1,mac=00:52:6c:46:70:86,bus=pci.0,mq=on,vectors=18

win8.1-64:
 /usr/libexec/qemu-kvm -name 129NICBLUE64S6C -enable-kvm -m 3G -smp 4 -uuid cf929504-70e9-4dc7-b585-f8b7d7773ad1 -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/tmp/129NICBLUE64S6C,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -boot order=cd,menu=on -device piix3-usb-uhci,id=usb -drive file=129NICBLUE64S6C,if=none,id=drive-ide0-0-0,format=raw,serial=mike_cao,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=en_windows_8_1_enterprise_x64_dvd_2971902.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=129NICBLUE64S6C.vfd,if=floppy,id=drive-fdc0-0-0,format=raw,cache=none -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device e1000,netdev=hostnet0,id=net0,mac=00:52:26:6b:d1:ad -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0 -device usb-tablet,id=input0 -vnc 0.0.0.0:1 -vga cirrus -M pc -netdev tap,script=/etc/qemu-ifup1,downscript=no,id=hostnet1,vhost=on,queues=4 -device virtio-net-pci,netdev=hostnet1,id=net1,mac=00:52:02:79:a9:1c,bus=pci.0,mq=on,vectors=10

Comment 10 ybendito 2017-01-18 18:54:46 UTC
Regarding crash on 2012:
Well known crash:
"pCurrentNetBufferList" 			[testsrc\nettest\ndis\ndistest\commengine\legacy\simplesendcommmanager.cpp @ 896]
017	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_WAIT_FOR_SEND_COMPLETION
016	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_WAIT_FOR_SEND_COMPLETION
015	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_SEND_NET_BUFFERS
014	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_SEND_NET_BUFFERS
013	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_SEND_NET_BUFFERS
012	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_SEND_NET_BUFFERS
011	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_SEND_NET_BUFFERS
010	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_SEND_NET_BUFFERS
009	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_SEND_NET_BUFFERS
008	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_SEND_NET_BUFFERS
007	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_OPEN_COMM_CHANNEL
006	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_OPEN_COMM_CHANNEL
005	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_OPEN_COMM_CHANNEL
004	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_OPEN_COMM_CHANNEL
003	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_OPEN_COMM_CHANNEL
002	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_OPEN_COMM_CHANNEL
001	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_OPEN_COMM_CHANNEL
000	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_OPEN_COMM_CHANNEL
019	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_CLOSE_COMM_CHANNEL
018	 [CNDTCLEndPoint::OnNdisTestCommand] Processing CMD_ENDPOINT_CLOSE_COMM_CHANNEL

Comment 11 ybendito 2017-01-18 19:54:38 UTC
For 2012R2 server BSOD:
The assertion of ndprot630 is the same as with 2012 with very similar debug output, the latest log entries are CMD_ENDPOINT_SEND_NET_BUFFERS

Comment 13 Yu Wang 2017-03-21 06:10:47 UTC
Hi,

tested this job with build 134, it passed on win8+ guests. So this bug has been fixed. change status to verified.

Thanks
Yu Wang

Comment 14 Yu Wang 2017-04-06 08:20:16 UTC
test on build 135, it failed on win2012-64, detail logs refer to attachment.

Error info :

The miniport improperly failed the set request. The RSS registry key is True, the miniport sould have failed with either NDIS_STATUS_INVALID_OID or NDIS_STATUS_NOT_SUPPORTED 

Miniport was determined to support OID_GEN_RECEIVE_SCALE_PARAMETERS but failed the RSS simultaneous connections test cases.

Additional info:
1 it could pass with build 134
2 it could pass on win8.1-64/2012r2

kernel-tools-3.10.0-634.el7.x86_64
qemu-kvm-rhev-2.8.0-6.el7.x86_64
virtio-win-prewhql-135


Thanks
Yu Wang

Comment 15 Yu Wang 2017-04-06 08:23:44 UTC
Created attachment 1269194 [details]
build-135-fail-win201264

Comment 16 xiagao 2017-04-06 08:37:58 UTC
Test on build 135, job 2c_Mini6RSSSendRecv (Multi-Group Win8+) BSOD in win8-64 guest.
ERROR CODE: 7e
MODULE_NAME: NDProt630

DUMP file located in the following link.
http://fileshare.englab.nay.redhat.com/pub/section2/coredump/var/crash/xiagao/135-win864-server-win8+.DMP.tar.gz

Comment 17 Yu Wang 2017-04-06 08:42:27 UTC
win10-64 hit the same BSOD issue, occurred on Server guest, not Client guest .

Comment 18 xiagao 2017-04-06 09:07:32 UTC
And job NDISTest 6.0 - [2 Machine] - 2c_Mini6RSSSendRecv BSOD in win8-64 guest on build 135.
ERROR CODE: 7e
MODULE_NAME: ndprot62

DUMP file located in the following link.
http://fileshare.englab.nay.redhat.com/pub/section2/coredump/var/crash/xiagao/135-win764-NDISTest%206.0%20-%20%5b2%20Machine%5d%20-%202c_Mini6RSSSendRecv.DMP.tar.gz

Comment 19 ybendito 2017-04-06 09:31:53 UTC
(In reply to xiagao from comment #18)
> And job NDISTest 6.0 - [2 Machine] - 2c_Mini6RSSSendRecv BSOD in win8-64
> guest on build 135.
> ERROR CODE: 7e
> MODULE_NAME: ndprot62
> 
> DUMP file located in the following link.
> http://fileshare.englab.nay.redhat.com/pub/section2/coredump/var/crash/
> xiagao/135-win764-NDISTest%206.0%20-%20%5b2%20Machine%5d%20-
> %202c_Mini6RSSSendRecv.DMP.tar.gz

Is it typo and this is win7-64?

Comment 20 ybendito 2017-04-06 09:35:00 UTC
I'll review these dump files.
 
According to existing reports, it seems that on win2012-64 and win2012-32 we do not receive BSOD and have test failure with OID_GEN_RECEIVE_SCALE_PARAMETERS "The miniport improperly failed the set request". Possible, on other systems we does not see it due to BSOD.

Please repeat the test on win2012-64 and win2012-32 only to ensure that the BSOD does not happen on them and the problem with _OID_ can be investigated.

Comment 22 lijin 2017-04-06 09:40:18 UTC
(In reply to ybendito from comment #20)
> I'll review these dump files.
>  
> According to existing reports, it seems that on win2012-64 and win2012-32 we
> do not receive BSOD and have test failure with
> OID_GEN_RECEIVE_SCALE_PARAMETERS "The miniport improperly failed the set
> request". Possible, on other systems we does not see it due to BSOD.
> 
> Please repeat the test on win2012-64 and win2012-32 only to ensure that the
> BSOD does not happen on them and the problem with _OID_ can be investigated.

there is no 32 bit for win2012,only win2012-64

We will repeat the test on win2012-64 and update the result

Comment 23 ybendito 2017-04-06 09:50:25 UTC
(In reply to lijin from comment #22)
> (In reply to ybendito from comment #20)
> > I'll review these dump files.
> >  
> > According to existing reports, it seems that on win2012-64 and win2012-32 we
> > do not receive BSOD and have test failure with
> > OID_GEN_RECEIVE_SCALE_PARAMETERS "The miniport improperly failed the set
> > request". Possible, on other systems we does not see it due to BSOD.
> > 
> > Please repeat the test on win2012-64 and win2012-32 only to ensure that the
> > BSOD does not happen on them and the problem with _OID_ can be investigated.
> 
> there is no 32 bit for win2012,only win2012-64
> 
> We will repeat the test on win2012-64 and update the result

Sorry, my mistake.
According to the report, the test passes and does not do the BSOD on win2012-64 and 2012r2 (although there was previous dump on 2012R2)

So, let's try to check win2012-64 and 2012R2 with 135.
BTW, regarding RSS 135 and 134 are exactly the same. 135 just fixes BSOD in 134 that happens in other tests. So, I expect that BSOD will happen on all the systems.

Comment 24 Yu Wang 2017-04-07 01:54:36 UTC
(In reply to ybendito from comment #23)
> (In reply to lijin from comment #22)
> > (In reply to ybendito from comment #20)
> > > I'll review these dump files.
> > >  
> > > According to existing reports, it seems that on win2012-64 and win2012-32 we
> > > do not receive BSOD and have test failure with
> > > OID_GEN_RECEIVE_SCALE_PARAMETERS "The miniport improperly failed the set
> > > request". Possible, on other systems we does not see it due to BSOD.
> > > 
> > > Please repeat the test on win2012-64 and win2012-32 only to ensure that the
> > > BSOD does not happen on them and the problem with _OID_ can be investigated.
> > 
> > there is no 32 bit for win2012,only win2012-64
> > 
> > We will repeat the test on win2012-64 and update the result
> 
> Sorry, my mistake.
> According to the report, the test passes and does not do the BSOD on
> win2012-64 and 2012r2 (although there was previous dump on 2012R2)
> 
> So, let's try to check win2012-64 and 2012R2 with 135.
> BTW, regarding RSS 135 and 134 are exactly the same. 135 just fixes BSOD in
> 134 that happens in other tests. So, I expect that BSOD will happen on all
> the systems.

after re-try on win2012-64 and 2012R2, it occurred BSOD on support guest. the error code is the same as win8-64.

ERROR CODE: 7e
MODULE_NAME: NDProt630

Thanks
Yu Wang

Comment 25 xiagao 2017-04-07 02:09:02 UTC
(In reply to ybendito from comment #19)
> (In reply to xiagao from comment #18)
> > And job NDISTest 6.0 - [2 Machine] - 2c_Mini6RSSSendRecv BSOD in win8-64
> > guest on build 135.
> > ERROR CODE: 7e
> > MODULE_NAME: ndprot62
> > 
> > DUMP file located in the following link.
> > http://fileshare.englab.nay.redhat.com/pub/section2/coredump/var/crash/
> > xiagao/135-win764-NDISTest%206.0%20-%20%5b2%20Machine%5d%20-
> > %202c_Mini6RSSSendRecv.DMP.tar.gz
> 
> Is it typo and this is win7-64?

yes,it's a typo and it's win7-64.


Note You need to log in before you can comment on or make changes to this bug.